Bug 1478728 - [abrt] evince: g_type_check_instance_cast(): evince killed by signal 11
[abrt] evince: g_type_check_instance_cast(): evince killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8f34aaa9e28f40c52477da0c3aa...
:
: 1292422 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-06 12:15 EDT by ricky.tigg
Modified: 2018-05-29 07:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:49:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.16 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: cgroup (321 bytes, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: core_backtrace (23.07 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: cpuinfo (1007 bytes, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: dso_list (10.62 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: environ (1.72 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: exploitable (92 bytes, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: maps (56.22 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: open_fds (2.68 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details
File: var_log_messages (1.09 KB, text/plain)
2017-08-06 12:15 EDT, ricky.tigg
no flags Details

  None (edit)
Description ricky.tigg 2017-08-06 12:15:22 EDT
Description of problem:
I had selected Annotate the document --> then either Add text annotation or Add highlight annotation. 
but did it for testing purpose out of the document's space so no changes were even made, then I attemped to save by replacing the document.

Version-Release number of selected component:
evince-3.24.0-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        evince /run/media/valvoja/USB/openscad-manual.pdf
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evince
journald_cursor: s=bb546b37d7ec4b37afaf10b08267e777;i=ada1c;b=4798b7e706eb4e6f9b18eb2ce40ee809;m=1cc8c2337;t=55617c0581653;x=ebf56daa5b1315a7
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_type_check_instance_cast at gtype.c:4057
 #1 ev_page_action_widget_set_current_page at ev-page-action-widget.c:103
 #2 ev_page_action_widget_set_document at ev-page-action-widget.c:282
 #8 g_object_notify_by_spec_internal at gobject.c:1157
 #10 ev_document_model_set_document at ev-document-model.c:381
 #11 ev_window_reload_job_cb at ev-window.c:1779
 #16 emit_finished at ev-jobs.c:181
 #21 g_main_context_iteration at gmain.c:4033
 #22 g_application_run at gapplication.c:2381

Potential duplicate: bug 1292422
Comment 1 ricky.tigg 2017-08-06 12:15:30 EDT
Created attachment 1309689 [details]
File: backtrace
Comment 2 ricky.tigg 2017-08-06 12:15:32 EDT
Created attachment 1309690 [details]
File: cgroup
Comment 3 ricky.tigg 2017-08-06 12:15:34 EDT
Created attachment 1309691 [details]
File: core_backtrace
Comment 4 ricky.tigg 2017-08-06 12:15:35 EDT
Created attachment 1309692 [details]
File: cpuinfo
Comment 5 ricky.tigg 2017-08-06 12:15:37 EDT
Created attachment 1309693 [details]
File: dso_list
Comment 6 ricky.tigg 2017-08-06 12:15:38 EDT
Created attachment 1309694 [details]
File: environ
Comment 7 ricky.tigg 2017-08-06 12:15:40 EDT
Created attachment 1309695 [details]
File: exploitable
Comment 8 ricky.tigg 2017-08-06 12:15:41 EDT
Created attachment 1309696 [details]
File: limits
Comment 9 ricky.tigg 2017-08-06 12:15:43 EDT
Created attachment 1309697 [details]
File: maps
Comment 10 ricky.tigg 2017-08-06 12:15:44 EDT
Created attachment 1309698 [details]
File: open_fds
Comment 11 ricky.tigg 2017-08-06 12:15:46 EDT
Created attachment 1309699 [details]
File: proc_pid_status
Comment 12 ricky.tigg 2017-08-06 12:15:47 EDT
Created attachment 1309700 [details]
File: var_log_messages
Comment 13 Caolan McNamara 2017-08-14 04:05:31 EDT
*** Bug 1292422 has been marked as a duplicate of this bug. ***
Comment 14 Kai A. Hiller 2017-09-12 08:49:36 EDT
Similar problem has been detected:

Crashes sometimes when rebuilding the PDF from LaTeX sources with pdflatex while viewing it in Evince.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        evince /home/kai/kit/SEMESTER_10/Bachelorarbeit/ba-kai-hiller/presentation/Folien/frer.pdf
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evince
journald_cursor: s=59c6b4eff058407d87f96923248273e2;i=449e;b=8095771b9a424fa3b557f2aa5905e162;m=26f67c715;t=558fb84170a93;x=afa491ee28c5aa99
kernel:         4.12.11-300.fc26.x86_64
package:        evince-3.24.1-1.fc26
reason:         evince killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Caolan McNamara 2017-09-12 09:40:51 EDT
but not the final file right, so this happens during an auto-reload of an open pdf that gets modified ?
Comment 16 Fedora End Of Life 2018-05-03 04:23:43 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2018-05-29 07:49:16 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.